# -*- coding: utf-8 -*-
# cython: language_level=3
# Copyright (c) 2020 Nekokatt
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


# This stubfile is generated by Hikari's deploy script as a workaround
# for our design not working correctly with MyPy's --strict flag. By
# explicitly generating this stub, MyPy no longer gets confused by what
# members are re-exported by package level init scripts. This lets you
# type check as strictly as possible and still get correct results.
#
# For all other purposes, you can completely ignore this file!


from hikari.config import *
from hikari.errors import *
from hikari.events import *
from hikari.impl.bot import BotApp as Bot
from hikari.impl.rest import RESTApp as REST
from hikari.models import *
from hikari.utilities.files import File as File
from hikari.utilities.files import LazyByteIteratorish as LazyByteIteratorish
from hikari.utilities.files import Pathish as Pathish
from hikari.utilities.files import Rawish as Rawish
from hikari.utilities.files import Resourceish as Resourceish
from hikari.utilities.snowflake import SearchableSnowflakeish as SearchableSnowflakeish
from hikari.utilities.snowflake import (
    SearchableSnowflakeishOr as SearchableSnowflakeishOr,
)
from hikari.utilities.snowflake import Snowflake as Snowflake
from hikari.utilities.snowflake import Snowflakeish as Snowflakeish
from hikari.utilities.snowflake import SnowflakeishOr as SnowflakeishOr
from hikari.utilities.snowflake import Unique as Unique
from hikari.utilities.undefined import UNDEFINED as UNDEFINED
from hikari.utilities.undefined import UndefinedNoneOr as UndefinedNoneOr
from hikari.utilities.undefined import UndefinedOr as UndefinedOr

# Names in __all__ with no definition:
#   Activity
#   ActivityAssets
#   ActivityFlag
#   ActivityParty
#   ActivitySecret
#   ActivityTimestamps
#   ActivityType
#   Application
#   Attachment
#   AuditLog
#   AuditLogChange
#   AuditLogChangeKey
#   AuditLogEntry
#   AuditLogEventType
#   BadRequestError
#   BanCreateEvent
#   BanDeleteEvent
#   BanEvent
#   BaseAuditLogEntryInfo
#   BasicAuthHeader
#   BulkDeleteError
#   ChannelCreateEvent
#   ChannelDeleteEvent
#   ChannelEvent
#   ChannelOverwriteEntryInfo
#   ChannelType
#   ChannelUpdateEvent
#   ClientHTTPResponseError
#   ClientStatus
#   Color
#   Colorish
#   Colour
#   Colourish
#   ConnectionVisibility
#   CustomEmoji
#   Embed
#   EmbedAuthor
#   EmbedField
#   EmbedFooter
#   EmbedImage
#   EmbedProvider
#   EmbedResource
#   EmbedResourceWithProxy
#   EmbedVideo
#   Emoji
#   Emojiish
#   EmojisUpdateEvent
#   Event
#   ExceptionEvent
#   ForbiddenError
#   GatewayBot
#   GatewayClientClosedError
#   GatewayError
#   GatewayGuild
#   GatewayServerClosedConnectionError
#   GroupPrivateTextChannel
#   Guild
#   GuildAvailableEvent
#   GuildCategory
#   GuildChannel
#   GuildChannelCreateEvent
#   GuildChannelDeleteEvent
#   GuildChannelEvent
#   GuildChannelUpdateEvent
#   GuildExplicitContentFilterLevel
#   GuildFeature
#   GuildFeatureish
#   GuildLeaveEvent
#   GuildMFALevel
#   GuildMemberBan
#   GuildMessageBulkDeleteEvent
#   GuildMessageCreateEvent
#   GuildMessageDeleteEvent
#   GuildMessageEvent
#   GuildMessageNotificationsLevel
#   GuildMessageUpdateEvent
#   GuildNewsChannel
#   GuildPinsUpdateEvent
#   GuildPremiumTier
#   GuildPreview
#   GuildReactionAddEvent
#   GuildReactionDeleteAllEvent
#   GuildReactionDeleteEmojiEvent
#   GuildReactionDeleteEvent
#   GuildReactionEvent
#   GuildStoreChannel
#   GuildSystemChannelFlag
#   GuildTextChannel
#   GuildTypingEvent
#   GuildUnavailableEvent
#   GuildUpdateEvent
#   GuildVerificationLevel
#   GuildVisibilityEvent
#   GuildVoiceChannel
#   GuildWidget
#   HTTPClientClosedError
#   HTTPError
#   HTTPResponseError
#   HTTPSettings
#   HTTPTimeoutSettings
#   HikariError
#   HikariWarning
#   Integration
#   IntegrationAccount
#   IntegrationExpireBehaviour
#   IntegrationsUpdateEvent
#   Intents
#   InternalServerError
#   Invite
#   InviteCreateEvent
#   InviteDeleteEvent
#   InviteGuild
#   InviteWithMetadata
#   Inviteish
#   KnownCustomEmoji
#   Member
#   MemberChunkEvent
#   MemberCreateEvent
#   MemberDeleteEvent
#   MemberDisconnectEntryInfo
#   MemberEvent
#   MemberMoveEntryInfo
#   MemberPresence
#   MemberPruneEntryInfo
#   MemberUpdateEvent
#   Message
#   MessageActivity
#   MessageActivityType
#   MessageBulkDeleteEntryInfo
#   MessageBulkDeleteEvent
#   MessageCreateEvent
#   MessageCrosspost
#   MessageDeleteEntryInfo
#   MessageDeleteEvent
#   MessageEvent
#   MessageFlag
#   MessagePinEntryInfo
#   MessageType
#   MessageUpdateEvent
#   MessagesEvent
#   MissingIntentError
#   MissingIntentWarning
#   NotFoundError
#   OAuth2Scope
#   OwnConnection
#   OwnGuild
#   OwnUser
#   OwnUserUpdateEvent
#   PartialChannel
#   PartialGuild
#   PartialIntegration
#   PartialMessage
#   PartialRole
#   PartialUser
#   PermissionOverwrite
#   PermissionOverwriteType
#   Permissions
#   PinsUpdateEvent
#   PremiumType
#   PresenceUpdateEvent
#   PrivateChannelCreateEvent
#   PrivateChannelDeleteEvent
#   PrivateChannelEvent
#   PrivateChannelUpdateEvent
#   PrivateMessageCreateEvent
#   PrivateMessageDeleteEvent
#   PrivateMessageEvent
#   PrivateMessageUpdateEvent
#   PrivatePinsUpdateEvent
#   PrivateReactionAddEvent
#   PrivateReactionDeleteAllEvent
#   PrivateReactionDeleteEmojiEvent
#   PrivateReactionDeleteEvent
#   PrivateReactionEvent
#   PrivateTextChannel
#   PrivateTypingEvent
#   ProxySettings
#   RESTGuild
#   Reaction
#   ReactionAddEvent
#   ReactionDeleteAllEvent
#   ReactionDeleteEmojiEvent
#   ReactionDeleteEvent
#   ReactionEvent
#   RichActivity
#   Role
#   RoleCreateEvent
#   RoleDeleteEvent
#   RoleEvent
#   RoleUpdateEvent
#   SessionStartLimit
#   ShardCloseCode
#   ShardConnectedEvent
#   ShardDisconnectedEvent
#   ShardEvent
#   ShardReadyEvent
#   ShardResumedEvent
#   ShardStateEvent
#   StartedEvent
#   StartingEvent
#   Status
#   StoppedEvent
#   StoppingEvent
#   TargetUserType
#   Team
#   TeamMember
#   TeamMembershipState
#   TextChannel
#   TypingEvent
#   UnauthorizedError
#   UnavailableGuild
#   UnavailableGuildError
#   UnicodeEmoji
#   UnrecognisedAuditLogEntryInfo
#   User
#   UserFlag
#   VanityURL
#   VoiceError
#   VoiceEvent
#   VoiceRegion
#   VoiceRegionish
#   VoiceServerUpdateEvent
#   VoiceState
#   VoiceStateUpdateEvent
#   Webhook
#   WebhookType
#   WebhookUpdateEvent
